package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 核查结果(1.加分或扣分,2.不扣分)枚举类
*
* @author zxfei
*/
public enum ReviewSourceEnum {
    窗口评价系统("窗口评价系统", "窗口评价系统"),
    导视系统("导视系统", "导视系统"),
    自助服务系统("自助服务系统", "自助服务系统"),
    微官网("微官网", "微官网"),
    其它("其它", "其它");
    private String value;
    private String desc;

    ReviewSourceEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ReviewSourceEnum getByValue(String value) {
        for (ReviewSourceEnum checkResultEnum : ReviewSourceEnum.values()) {
            if (checkResultEnum.getValue() == value) {
                return checkResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ReviewSourceEnum item : ReviewSourceEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}